#pragma once
#include "afxwin.h"

// zwischenfilter-Dialogfeld

class zwischenfilter: public CDialog
{
    DECLARE_DYNAMIC (zwischenfilter)

public:
    zwischenfilter( CWnd* pParent = NULL); // Standardkonstruktor
    virtual ~zwischenfilter();
    CButton m_btnDynamic;
    int Filter;
    int ErgebnisFilter;
    bool zeigeAllgemein;
    bool zeigeErgebnisse;
    bool speichereBild;
    int massnahme;
    int ArtenIndex;
    bool erneuereCombobox;
    bool allemassnahmen;

    CMDIChildWnd *pActiveFrame;
    // Comboboxen:
    CComboBox *ComboBoxmassnahme;
    CComboBox *ComboBoxart;
    void addArt( CString item);
    //void deletAllCombo();

    void ViewUpdate();

// Dialogfelddaten
    enum
    {
        IDD = IDD_VIS_Filter
    };

protected:
    virtual void DoDataExchange( CDataExchange* pDX); // DDX/DDV-Unterstützung
    virtual BOOL OnInitDialog();DECLARE_MESSAGE_MAP()
public:
    CComboBox m_massnahme;afx_msg
    void OnCbnSelchangecomboMassnahme();
    CComboBox m_combo_art;afx_msg
    void OnCbnSelchangeComboArt();afx_msg
    void OnBnClickedqualtitaet();afx_msg
    void OnBnClickedGewinn();afx_msg
    void OnBnClickedWald();afx_msg
    void OnBnClickedHoch();afx_msg
    void OnBnClickedGruen();
    CButton m_Wald;
    CButton m_qualitaet;
    CButton m_gruenlandzahl;
    CButton m_hoehe;
    CButton m_gewinn;
    CButton m_bearbeitung;
    CButton m_gruenlandtyp;
    int m_Hoch;
    int m_gruen;afx_msg
    void OnBnClickedSavePic();
    CButton m_allemassnahmen;afx_msg
    void OnBnClickedmassnahmen();afx_msg
    void OnBnClickedCheck1();
    CButton m_nur_ergeb;afx_msg
    void OnCbnDblclkCombomassnahme();afx_msg
    void OnBnClickedBearbeitung();afx_msg
    void OnBnClickedGruenland();afx_msg
    void OnClose();
};
